petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetVariableBoundsRoutine

Sets a function to be used to compute variable bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetVariableBoundsRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, Vec, void*), void *ctx)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| func | - the bounds computation routine
| ctx | - [optional] user-defined context for private data for the bounds computation (may be NULL)

### Calling sequence of func

         func (Tao tao, Vec xl, Vec xu);

| tao | - the Tao
| xl | - vector of lower bounds
| xu | - vector of upper bounds
| ctx | - the (optional) user-defined function context

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine(), TaoSetVariableBounds()

Note: The func passed in to TaoSetVariableBoundsRoutine() takes precedence over any values set in TaoSetVariableBounds().

### Level

beginner

### Location

src/tao/interface/taosolver_bounds.c

### Examples

src/tao/bound/examples/tutorials/plate2f.F90.html
src/tao/complementarity/examples/tutorials/blackscholes.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages